Name:           perl-CGI-Application
Version:        4.50
Release:        3%{?dist}
Summary:        Framework for building reusable web-applications
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CGI-Application/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MA/MARKSTOS/CGI-Application-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(CGI)
BuildRequires:  perl(Class::ISA)
BuildRequires:  perl(HTML::Template)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
Requires:       perl(CGI)
Requires:       perl(HTML::Template)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
CGI::Application is an Object-Oriented Perl module which implements an
Abstract Class. It is not intended that this package be instantiated
directly. Instead, it is intended that your Application Module will be
implemented as a Sub-Class of CGI::Application.

%prep
%setup -q -n CGI-Application-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc ARTISTIC Changes GPL README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.50-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 4.50-2
- Perl mass rebuild

* Sat Jun 18 2011 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 4.50-1
- Update to 4.50
- Spec clean-up

* Sat May 14 2011 Iain Arnell <iarnell@gmail.com> 4.31-6
- Add perl(CGI) to Requires too.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.31-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 07 2010 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 4.20-4
- Add perl(CGI) and perl(Class::ISA) to BuildRequires
- Add perl default filter

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 4.31-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 4.31-2
- rebuild against perl 5.10.1

* Thu Jul 30 2009 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 4.31-1
- Update to 4.31

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 03 2009 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 4.21-2
- Include Test::More in the BuildRequires (brc #486584)

* Fri Feb 20 2009 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 4.21-1
- Update to 4.21

* Sun Nov 02 2008 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 4.20-1
- Update to 4.20

* Mon Jun 11 2007 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 4.06-1
- Specfile autogenerated by cpanspec 1.70.
